.TH RPYC_CLASSIC 1 "" "" "Remote Python Call (RPyC)"
.SH NAME
rpyc_registry \- RPyC registry
.SH SYNOPSIS
.SY rpyc_registry
.RI [ options ]
.YS
.SH DESCRIPTION
RPyC (pronounced as are-pie-see), or Remote Python Call, is a transparent
Python library for symmetrical remote procedure calls, clustering and
distributed-computing. RPyC makes use of object-proxying, a technique that
employs Python’s dynamic nature, to overcome the physical boundaries between
processes and computers, so that remote objects can be manipulated as if they
were local.
.PP
.B rpyc_registry
provides a way for clients to discover running instances of
.BR rpyc_classic (1)
servers. The following options are available:
.TP
.BR \-\-mode " " \fIMODE\fR ", " \-m " " \fIMODE\fR
Choose registry service type. Can be
.B TCP
or
.B UDP
(the default).
.TP
.BR \-\-port " " \fIPORT\fR ", " \-p " " \fIPORT\fR
Choose the UDP/TCP listener port for the registry. The default
is 18811.
.TP
.BR \-\-timeout " " \fISECS\fR ", " \-t " " \fISECS\fR
Set a timeout after which unresponsive servers will be removed from the registry.
The default is 240 seconds.
.TP
.BR \-\-logfile " " \fIFILE\fR
Write log to
.IR FILE .
If not specified, log output is written to
.BR stderr .
.TP
.BR \-\-quiet ", " \-q
Quiet mode. Only errors will be logged.
.SH SEE ALSO
.BR rpyc_classic (1)
.SH AUTHOR
This manual page was written for Debian by Timo R\[u00F6]hling and
may be used without restriction.
